#include <iostream>
using namespace std;

double mypow(int base, int r);

int main()
{
	int num1,num2;
	cout << "２つの整数を入力してください。: ";
	cin >> num1 >> num2;
	cout << num1 << "^" <<  num2 << "=" << mypow(num1,num2) << "\n";
	
	return 0;
}

double mypow(int base, int r)
{
	double num = 1;
	if (r > 0){
		for(int i = 0; i < r; i++){
			num *= base;
		}
	}
	else {
		for(int i = 0; i > r; i--){
			num /= base;
		}
	}
	return num;
}